import {IFileInputBus} from '../../bus/IFileInputBus';

export interface IEmbeddedFileInput {
    setOnInput(callback:(fileName:string)=>void): void;
    setValue(fileName:string): void;
    setBus(bus:IFileInputBus):void;
    init(input:HTMLInputElement): void;
    eventsListen():void;
}